For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceFDX APIChangelog
GuidesAPI ReferenceFDX APIChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETSearch organizations
      • GETGet organization
  • DAFpay
  • Donor Accounts
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesOrganizations

Search organizations

GET
/v1/organizations/search
GET
/v1/organizations/search
$curl -G https://api.givechariot.com/v1/organizations/search \
> -H "Authorization: Bearer <token>" \
> -d q=q
1{
2 "results": [
3 {
4 "id": "org_01jpjenf5q6cawy43yxfcrxhct",
5 "ein": "123456789",
6 "name": "American Red Cross",
7 "daf_eligible": true,
8 "city": "New York",
9 "state": "NY"
10 }
11 ]
12}
Search for organizations by name or EIN. This endpoint exists to support a typeahead search or quick lookup by nonprofit EIN or name. The Get Organization API should be used to retrieve detailed information about an organization.
Was this page helpful?
Previous

Get organization

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

qstringRequired
The query string to search for. If this is in the format of an EIN, the search will be limited exclusively to the organization with that EIN. Otherwise, this will be a fuzzy search on organization name.
einstringOptionalDeprecated

The Employer Identification Number (EIN) or TaxID for the nonprofit entity. This is deprecated in favor of the q parameter.

namestringOptionalDeprecated

The name of the organization. This is deprecated in favor of the q parameter.

limitintegerOptional

Limit the size of the list that is returned. The default (and maximum) is 20 objects.

Response

The response for Organizations.search
resultslist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error